List fulfillment priority lists
curl --request GET \
--url https://{companyName}.api.joinluminous.com/external/api/v1/fulfillment-priority-lists \
--header 'Authorization: Bearer <token>'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/fulfillment-priority-lists"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/fulfillment-priority-lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 42,
"name": "Flexport",
"description": "Primary routing",
"is_location_aware": false,
"lines": [
{
"id": 101,
"order": 0,
"warehouse_group_id": 1,
"destination_oms_id": 3,
"destination_store_id": null,
"fulfillment_channel_id": 11,
"warehouse_group": {
"id": 123,
"label": "<string>"
},
"fulfillment_channel": {
"id": 123,
"label": "<string>"
},
"destination_oms": {
"id": 123,
"label": "<string>"
}
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"links": {},
"meta": {}
}{
"message": "<string>"
}Fulfillment Priority Lists
List fulfillment priority lists
Paginated list of fulfillment priority lists (routing priority lists). Each list holds an ordered set of routing lines used to decide how a sales order’s fulfillment orders are routed to warehouse groups, fulfillment channels, and destination OMS accounts.
GET
/
fulfillment-priority-lists
List fulfillment priority lists
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Query Parameters
Required range:
x <= 100Filter by exact list id.
Filter by name.